Plank.DockRenderer – plank Reference Manual

# DockRenderer

## Object Hierarchy:

## Description:

public class DockRenderer : Renderer

Handles all of the drawing for a dock.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public DockController controller { construct; }
- public double hide_progress { get; }
  The current progress [0.0..1.0] of the hide-animation of the dock.
- public Point local_cursor { get; }
  The current local cursor-position on the dock if hovered.
- public DockTheme theme { get; }
- public double zoom_in_progress { get; }
  The current progress [0.0..1.0] of the zoom-in-animation of the dock.

### Creation methods:

- public DockRenderer (DockController controller, Window window)
  Create a new dock renderer for a dock.

### Methods:

- public void animate_items (List<DockElement> elements)
- protected override bool animation_needed (int64 frame_time)
  Determines if animation should continue.
- public override void draw (Context cr, int64 frame_time)
  Draws onto a context.
- public void initialize ()
  Initializes the renderer. Call after the DockWindow is constructed.
- protected override void initialize_frame (int64 frame_time)
  Preparations which are not requiring a drawing context yet.
- public void reset_buffers ()
  Resets all internal buffers and forces a redraw.
- public void update_local_cursor (int x, int y)

### Inherited Members:

All known members inherited from class Plank.Renderer

- animated_draw
- animation_needed
- draw

- force_frame_time_update
- frame_time

- initialize_frame
- widget

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref